@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto-Regular.ttf") format("opentype");
}
@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto-Italic.ttf") format("opentype");
    font-style: italic;
}
@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto-Bold.ttf") format("opentype");
    font-weight: bold;
}
@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto-Light.ttf") format("opentype");
    font-weight: 300;
}
@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto-LightItalic.ttf") format("opentype");
    font-weight: 300;
	font-style: italic;

}
@font-face {
    font-family: Roboto;
    src: url("../fonts/Roboto-Medium.ttf") format("opentype");
    font-weight: 500;
}

html { height:100%; }

body {
    position: relative;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    font-family: Roboto;
    overscroll-behavior: none;
}

.heading {
	font-family: Roboto;
	background-color: #F4F4F4;
}

p {
	font-size: 14px;
	margin: 15px;
}

button.formatted-button {
	padding: 10px 25px;
	border: 1px solid transparent;
	border-radius: 4px;
	font-weight: 300;
	font-family: Roboto;
}

.btn-green {
	color: #fff;
	background-color: #12734b;
	border-color: #0f6541;
	width: 95%;
}

.btn-green:hover {
    color: #fff;
    background-color: #0f5d3c;
    border-color: #0d5437;
}

.btn-green:disabled {
    background-color: #687e75;
    border-color: #747474;
}

.btn-blue {
	color: #fff;
	background-color: #4888B9;
	border-color: #326E9C;
	width: 95%;
}

.btn-blue:hover {
    color: #fff;
    background-color: #3D729A;
    border-color: #1E435F;
}

.ex-large {
	font-size: 42px;
}

.large {
	font-size: 30px;
}

.medium{
	font-size: 24px;
}

.small {
	font-size: 16px;
}

.x-small{
	font-size: 12px;
}

.center {
	text-align: center;
}

.shift {
	border-radius: 2px;
	padding: 8px;
	text-align: left;
	border-bottom: 1px solid #BBBBBB;
}
.employeeName {
	font-size: 1.3em;
}

.ex-pad-top {
	padding-top: 30px;
}

.pad-top {
	padding-top: 10px;
}

.pad-bottom {
	padding-bottom: 10px;
}

.press-icons{
	font-family: Roboto; 
	font-weight:300;
	padding-top: 5px;
}


#dateRange {
    text-align: center;
    font-size: 14px;
    border: 0;
    background-color: #E6E7F0;
    z-index: 5;
    width: auto;
    flex-grow: 2;
    height: 100%;
    padding: 0;
}

#bodyContent {
    flex-grow: 2;
    height: 100%;
    overflow: auto;
}

#header {
    display:flex;
    align-items:center;
	top: 0;
	z-index: 10;
	left: 0;
	width: 100%;
	background-color: #333333;
	height: 56px;
	color: white;
	font-weight: normal;
}

.menu-left .menu-title {
	text-align: left;
	display: inline;
}
 
.loading {
	text-align: center;
	background: white;
	width: 75px;
	height: 50px;
	border: 1px solid #ADADAD;
	box-shadow: 1px 1px 10px -1px rgba(0,0,0,0.75);
	border-radius: 5px;
	position: fixed;
	bottom: -60px;
	left: 0;
	right: 0;
	margin: 0 auto;
	transition: bottom 0.3s ease-in-out;
	z-index: 50;
}

.loading-show {
	bottom: 30px;
}

#loginForm > div {
    margin: 5px 0;
}

#loginLoading {
	background-color: rgba(255,255,255,0.8);  
	z-index: 10; 
	position: absolute; 
	left: 0; 
	top: 0; 
	width: 100%; 
	height: 100%;
}

#loading-2{
	background-color: white; 
	width: 100px; 
	height: 100px;
	border-radius: 4px;
	text-align: center;
	border: 1px solid #F7F7F7;
	box-shadow: 1px 5px 57px -7px rgba(0,0,0,0.75); 
	position: absolute; 
	top:0;
	bottom: 0;
	left: 0; 
	right: 0; 
	margin: auto;
}

#loading-cog {
	line-height: 100px;
	color: #333333;
}

.overlay {
	position:fixed;
	background-color: black;
	opacity: 0.0;
	top:0;
	left:0;
	width: 100%;
	height: 100%;
	z-index: 11;
	display:none;
}

.showOverlay{
	opacity: 0.6;
}

.menu{
	-webkit-transform: translate3d(0,0,0);
	transform: translate3d(0,0,0);
	transition: left 0.3s ease-in-out;
	background-color: #F4F4F4;
	position: fixed;
	top:0;
	left: -400px;
	z-index: 11;
	height: 100%;
	width: 300px;
    max-width: 90%;
	box-shadow: 2px 2px 9px #4C4C4C;
	overflow-y: auto;
}


.showMenu{
	left: 0px;
}

.faded {
	color: #525252;
}

.menu ul{
	padding: 0;
	list-style: none;
	padding-bottom: 8px;
	border-bottom: 1px solid rgb(208, 208, 208);
}

.menu li{
	font-size:1.13em;
	font-weight: 500;
	color: #444444;
	height: 48px;
	line-height: 48px;
	padding-left:16px;
	cursor: pointer;
}
.menu li:hover{
	background-color:#E4E4E4;
}


li i.fa{
	width: 56px;
}

#menuHeader{
	background-color: #ebecef;
	padding-left:16px;
	padding-top: 15px;
	border-bottom: 1px solid rgb(208, 208, 208);
}
#photoCircle{
	background-color: #848484;
	border-radius: 50px;
	width:56px;
	height:56px;
	margin-bottom: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    font-size: 24px;
}

#userInfo{
	font-size: 1.3em;
	font-weight: bold;
	color: #525252;
	height: 48px;
	line-height: 48px;
	margin-bottom: 8px;
	letter-spacing: 0.5px;
}

#allShifts{
	text-align: center;
	padding-top: 51px;
}

#actionButton{
	position: fixed;
	bottom:16px;
    right:16px;
	color: white;
	background-color: #3864b5;
	border-radius: 50px;
	z-index: 5;
	width:56px;
	height:56px;
	text-align: center;
	line-height: 56px;
	font-size: 20px;
	cursor: pointer;
	box-shadow: 2px 2px 9px #272727;
}

#shiftDropdown{
	cursor: pointer;
	font-size: initial;
	margin-left: 8px;
}

#billboard h2, #nextShift h2 {
	height: 50px;
	line-height: 50px;
	padding-left: 15px;
	color: #525252;
	background-color: #E6E7F0;
	margin: 0;
	font-size: 1.8em;
	font-weight: 300;
}

.frontInfo{
	font-size: 16px;
	padding: 15px 10px 10px 25px;
	margin-left: 100px;
}

#frontShifts{
	min-height: 50px;
}

#calendar {
	width: 100px;
	float: left;
	margin-left: -100px;
}

#calendar .fa{
    text-align: center;
    color: #525252;
    line-height: 100px;
    display: table;
    font-size: 4.5em;
}

#nextShiftInfo p {
	margin: 7px;
}

#nextShiftInfo .nextDate{
	font-size: 1.2em;
	font-weight: 500;
}

#nextShiftInfo .notes {
	display: block;
	font-weight: 300;
}

p {
	color: #333333;
}

.italic {
	font-style: italic;
}

.sched_name, .sched_date{
	font-size: 18px;
	font-weight: 500;
	background-color: #ddd;
	padding: 10px;
}

.sched_time{
	font-size: 18px;
	font-weight: 400;
	padding: 10px 5px 5px 10px;
}

.sched_cats{
	font-size:14px;
	font-weight: 300;
	padding: 5px 5px 10px 10px;
}

.sched_notes{
	font-size: 13px;
	font-weight: 300;
	padding: 0px 5px 20px 10px;
}


.shiftTable{
	width: 100%;
	border-collapse: collapse;
}

.singleShift {
    width: 100%;
    cursor:pointer;
    text-align: left;
}

.advanced-timeclock{
	padding: 30px 15px;
	overflow: hidden;
}

.sub-page-content {
    background-color: #e9e9e9;
    overflow: hidden;
}

#editShiftForm {
	margin: 0 auto;
	padding-top: 3px;
}

.line-header:after {
    content:"";
    display: inline-block;
    height: 0.5em;
    vertical-align: bottom;
    width: 100%;
    margin-right: -100%;
    margin-left: 10px;
    border-top: 1px solid #808080;
}

.relative{
	position: relative;
}

.hidden {
	display: none;
}

.vertical-center {
  position: relative;
  transform: translateY(50%);
}

.full-height {
	height: 100%;
	line-height: 75px;
}

.sub-page {
    background-color: #e5e5e5;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 11;
}

.singleShift tr:last-child td {
    border-bottom: 1px solid #E4E4E4;
    padding-bottom: 15px;
}

.shiftColor{
	width: 20px;
	border-radius: 30px;
	height: 20px;
	opacity: 0.6;
	float: right;
}

.btn-red{
	background-color: #D24444;
	color: #fff;
    
	border-color: #AE4C4C;
	width: 95%;
}

.left{
	text-align: left;
}

.right {
	text-align: right;
}

label {
	display: block;
	text-align: left;
	padding-left: 5px;
    margin: 8px 0 5px 0;
	font-size: 16px;
	font-weight: 400;
}

select {
	background-color: white;
    border: 1px solid rgb(199, 199, 199);
    width: 95%;
    border-radius: 4px;
    font-weight: 300;
    font-family: Roboto;
    margin: 2px 0;
    height: 40px;
}

#editShiftCats {
	margin-bottom: 20px;
}

#shiftNotes {
	resize: vertical;
    line-height: normal;
}

/*#editShiftForm input, #editShiftForm select, #editShiftForm textarea, #editShiftForm button {
	margin : 0 auto;
    margin-bottom: 15px;
	display: block;
	padding-left: 5px;
}*/

.gray {
	color: #6F6F6F;
}


.cat-header:after {
    content: "";
    display: inline-block;
    height: 0.5em;
    vertical-align: bottom;
    width: 75%;
    margin-right: -100%;
    margin-left: 10px;
    border-top: 1px solid #CCCACA;
}

.pad-left {
	padding-left: 5px;
}

#editShiftForm {
	padding-bottom: 20px;
}


.full-menu .menu-hold {
    display: flex;
    flex: 1;
    justify-content: space-between;
    align-items: center;
    height: auto;
    padding: 10px 4px 10px 15px;
    cursor: pointer;
    border-bottom: 1px solid rgb(208, 208, 208);
}

.full-menu .head {
	font-size: 18px;
	margin: 5px;
	font-weight: 400;
	color: #444444;
}

.full-menu .subtext {
	font-size: 12px;
	font-weight: 300;
	color: #444444;
}

.full-menu .arrow {
    color: #565656;
    margin: 0 15px;
}

.full-menu .menu-hold:hover{
	background-color:#E4E4E4;
}

#pendingto{
	width: 100%;
	border-collapse: collapse;
}

#pendingto th{
	font-size: 16px;
	font-weight: 300;
	color: black;
	padding: 15px;
	border-bottom: 1px solid rgb(208, 208, 208);
	background-color: #E6E7F0;
	height: 20px;
}
#pendingto td{
	font-size: 14px;
	font-weight: 400;
	padding: 10px 0;
	border-bottom: 1px solid darkgrey;
	text-align: center;
	vertical-align: middle;
}

.tostats {
	margin: 10px 0 30px 10px;
}

.tostats p{
	margin-top: 9px;
	line-height: 12px;
}

.tostats .stats-header{
	font-size: 18px;
}

#settings-cog {
	margin: -10px 10px;
	color: #444444;
	float: right;
}

.menu-hold label{
	float: right;
    line-height: 0px;
}

#startOnCurrentDay {
	width: 20px;
    height: 20px;
}

.schedule-arrow-left, .schedule-arrow-right {
    height: 100%;
    width: 40px;
    text-align: center;
    background: #E6E7F0;
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.shift-top-bar {
    width: 100%;
    z-index: 9;
    display: flex;
    justify-content: space-between;
    height: 50px;
    align-items: center;
    align-content: center;
}

.sched_name.timeoff {
	background-color: #4B4B4B;
	color: white;
}
.sched_timeoff {
	padding-left: 10px;font-size: 16px;
}

.verror{
	border: 1px solid #D37D7D!important;
}

#splash-loading-message {
    text-align: center;
    font-size: 1.3em;
    color: #434343;
    margin: 10px 0;
}

#splash-loading-child {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

#splash-loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    background-color: #f7f7f7;
    display: none;
}

.show-splash {
    display: block!important;
}

#frameLoad
{
    background:url(../img/frameload.gif) center center no-repeat;
}

#btnChangeView {
    float: right;
    margin: 0 40px;
    line-height: 65px;
}

.bold {
    font-weight: bold;
}

#viewSchedBtn {
    text-align: center;
    padding: 15px;
    margin: 45px 10px;
    border-radius: 5px;
    width: auto;
    color: #e1e8e5;
}

.shift-form .shift-property {
    width: calc(100% - 30px);
    margin: 0 auto;
    box-sizing: border-box;
    min-height: 50px;
}

.shift-form .k-dropdown .k-dropdown-wrap .k-input, .shift-form .k-dropdown-wrap .k-select, .shift-form .k-timepicker .k-input, .shift-form .k-timepicker .k-select, .shift-form .k-datepicker .k-input, .shift-form .k-datepicker .k-select, .shift-form .k-datetimepicker .k-input, .shift-form .k-datetimepicker .k-select .k-link {
    height: 50px;
    line-height: 50px;
}

.shift-form .shift-property .k-input, .shift-form #hoursvalue, .shift-form #mat-quantity,.shift-form #mat-tons,  .shift-form .shift-property.k-textbox {
    font-size: 16px;
    height: 50px;
    line-height:50px;
}

.shift-form .shift-property.basic-text.k-textbox{
    line-height: 0px;
}

.shift-form span.k-link.k-link-increase, span.k-link.k-link-decrease {
    height: 50%;
}

#tabstrip {
    border: 0;
    background-color: #e5e5e5;
    padding: 0;
}

    #tabstrip > .k-tabstrip-items-wrapper {
        background-color: #464646;
    }

    #tabstrip > .k-tabstrip-content {
        margin: 0;
        background-color: #e5e5e5;
        border: 0;
    }

    #tabstrip .k-tabstrip-items .k-item {
        font-size: 15px;
        background-color: #464646;
        color: #fff;
        font-weight: 400;
    }

    #tabstrip .k-tabstrip-items-wrapper .k-item.k-active .k-link::after {
        background: #12734b;
    }

.item-container {
    display: flex;
    flex: 1;
    align-items: center;
    justify-content: space-around;
    flex-wrap: wrap;
}



#tabstrip .k-tabstrip-items .k-state-active {
    border-bottom-color: #5c8c56;
    border-bottom-width: 3px;
}

.item-container {
    display:flex;
    flex: 1;
    align-items: center;
    justify-content: space-around;
    flex-wrap:wrap;
}

.item-container.center {
    justify-content: center;
}

.item-container .col-2 {
    flex-grow: 1;
    flex-basis: 49%;
    flex-shrink: 1;
}

.space-around {
    margin: 15px;
}


.tbe-group-0 > .tbe-title {
    padding: 10px 25px;
}

.tbe-group-1 > .tbe-title {
    padding: 10px 50px;
}

.tbe-group-2 > .tbe-title {
    padding: 10px 75px;
}

.tbe-group-3 > .tbe-title {
    padding: 10px 100px;
}

.tbe-title {
    background-color: rgb(146, 146, 146);
    color: #000;
    border: 1px solid rgba(0, 0, 0, 0.4);
    font-weight: 500;
    font-size: 13px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin-bottom: -1px;
    position: relative;
}

.tbe-shifts {
    text-align: center;
    border-collapse: collapse;
    table-layout: fixed;
    width: calc(100% - 1px);
    margin-bottom: -1px;
    margin-top: 21px;
}

table.tbe-shifts th {
    border: 1px solid #525252;
    border-top: 0;
    background-color: #b5b5b5;
    overflow: hidden;
    background-size: contain !important;
}

.tbe-shifts td {
    border: 1px solid #9e9e9e;
    vertical-align: top;
}

.tbe-shifts td div {
    border-radius: 4px;
}

.tbShift, .tbClone {
    position: relative;
    background: #fff;
    border-radius: 4px;
    margin: 7px 2px;
    padding: 3px;
    text-align: left;
    box-shadow: 1px 1px 2px 1px #9a9a9a;
    transition: background 0.15s ease;
    overflow-wrap: break-word;
}

.monthly-day .tbShift {
    margin-right: 5px;
    margin-left: 5px;
}

.tbClone {
    position: fixed;
    z-index: 1001;
}

*[class^='tbe-group-'].collapse {
    max-height: 35px;
}

*[class^='tbe-group-'] {
    overflow: hidden;
    max-height: 100%;
}

.tbe-title .previous {
    opacity: 0.6;
    font-size: 0.8em;
}

*[class^='tbe-group-'] .tbe-title {
    box-sizing: border-box;
    height: 36px;
}

.collapse .tbe-title:before {
    content: "+";
    display: block;
    position: absolute;
    left: 10px;
    font-size: 15px;
}

.tbe-title:before {
    content: "-";
    display: block;
    position: absolute;
    left: 10px;
    font-size: 15px;
}

#newArea {
    position: relative;
}

.tbe-inline-group {
    display: flex;
    flex: 1;
    justify-content: space-evenly;
    align-items: center;
    height: 20px;
    align-content: center;
    border: 1px solid black;
    margin-bottom: -1px;
    font-size: 12px;
    font-weight: 500;
    position: absolute;
    width: 100vw;
}

.tbe-inline-title {
    width: 100%;
    text-align: center;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #676767;
    margin-left: -1px;
    background-color: #929292;
}

.info-value {
    min-height: 50px;
    line-height: 50px;
    font-size: 16px;
    margin: 0 10px;
    background-color: #d8d8d8;
    padding: 0 8px;
}

.tbe-header {
    border: 1px solid black;
    width: 100%;
    margin-top: 0;
    font-size: 14px;
}


.sticky {
    position: -webkit-sticky;
    position: sticky;
    z-index: 2;
    top: 0;
}

.sticky + .tbe-group-0, .sticky + .tbe-inline-group, .sticky + .tbe-shifts {
    margin-top: 0px;
}

.sticky.singleLineHeader + .tbe-group-0, .sticky.singleLineHeader + .tbe-inline-group, .sticky.singleLineHeader + .tbe-shifts {
    margin-top: 50px;
}
    

#select-header {
    flex: 1;
    display: flex;
    align-items: center;
    height: 100%;
}

.yearlyMonth {
    width: 100%;
    border-collapse: collapse;
    vertical-align: top;
    table-layout: fixed;
}

.yearlyMonth td {
    border: 1px solid black;
    padding: 0;
    vertical-align: top;
    border-bottom: 0;
}

.yearlyMonth td .date {
    background-color: #bdbdbd;
    text-align: right;
    padding: 3px;
}

.yearlyMonth td.diff-month .date {
    color: #6f6f6f;
}

.year-container .yearlyMonth .monthly-day {
    display:flex;
    flex-direction:column;
}

.yearlyMonth .monthly-day {
    min-height: 75px;
}

.yearly-data {
    display: flex;
    flex-grow: 1;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: 500;
}

.tbe-hours {
    text-align: center;
    border-collapse: collapse;
    table-layout: fixed;
    width: 100%;
    border: 1px solid #656565;
    font-weight: bold;
}

.tbe-hours td {
    border-right: 1px solid #9e9e9e;
}
#grid-wrapper div#button-group, #attach-grid-wrapper #attach-button-group {
    display: flex;
    justify-content: space-between;
    padding: 10px 11px;
}

div#grid-wrapper, #attach-grid-wrapper {
    border: 1px solid #a2a2a2;
    border-radius: 1px;
    background-color: #859683;
}

tr.k-state-selected {
    background-color: #5c8c56 !important;
}

.k-grid tr.k-state-selected > td {
    border-color: #007100 !important;
}

.k-grid tr.k-state-selected:hover td {
    background-color: #467b40 !important;
}

li.k-item.k-state-default.k-state-hover {
    background: #464646 !important;
    border-color: #464646!important;
}

.shift-property.basic-text {
    padding: 10px;
    border: 1px solid #e4e2e2;
    border-radius: 2px;
    background-color: #f9f8f8;
}

.floating-box {
    position: absolute;
    height: calc(100% - 133px);
    width: 100%;
    overflow-y: auto;
    box-sizing: border-box;
}

.floating-button {
    position: fixed;
    width: 100%;
    bottom: 0;
}

.padded-container {
    padding: 0.92em;
}

.material-quantities {
    width: 100px!important;
}

.material-quantities-container label {
    width: 150px;
}

.wobble {
    animation-name: wobble;
    animation-duration: 0.5s;
    animation-iteration-count: 1;
    animation-timing-function: linear;
    transform-origin: 50% 100%;
    -webkit-animation-name: wobble;
    -webkit-animation-duration: 0.5s;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-timing-function: linear;
    -webkit-transform-origin: 50% 100%;
}

@-webkit-keyframes wobble {
    0% {
        -webkit-transform: none;
        transform: none;
    }

    15% {
        -webkit-transform: translate3d(-25%, 0, 0) rotate3d(0, 0, 1, -5deg);
        transform: translate3d(-25%, 0, 0) rotate3d(0, 0, 1, -5deg);
    }

    30% {
        -webkit-transform: translate3d(20%, 0, 0) rotate3d(0, 0, 1, 3deg);
        transform: translate3d(20%, 0, 0) rotate3d(0, 0, 1, 3deg);
    }

    45% {
        -webkit-transform: translate3d(-15%, 0, 0) rotate3d(0, 0, 1, -3deg);
        transform: translate3d(-15%, 0, 0) rotate3d(0, 0, 1, -3deg);
    }

    60% {
        -webkit-transform: translate3d(10%, 0, 0) rotate3d(0, 0, 1, 2deg);
        transform: translate3d(10%, 0, 0) rotate3d(0, 0, 1, 2deg);
    }

    75% {
        -webkit-transform: translate3d(-5%, 0, 0) rotate3d(0, 0, 1, -1deg);
        transform: translate3d(-5%, 0, 0) rotate3d(0, 0, 1, -1deg);
    }

    100% {
        -webkit-transform: none;
        transform: none;
    }
}

@keyframes wobble {
    0% {
        -webkit-transform: none;
        transform: none;
    }

    15% {
        -webkit-transform: translate3d(-25%, 0, 0) rotate3d(0, 0, 1, -5deg);
        transform: translate3d(-25%, 0, 0) rotate3d(0, 0, 1, -5deg);
    }

    30% {
        -webkit-transform: translate3d(20%, 0, 0) rotate3d(0, 0, 1, 3deg);
        transform: translate3d(20%, 0, 0) rotate3d(0, 0, 1, 3deg);
    }

    45% {
        -webkit-transform: translate3d(-15%, 0, 0) rotate3d(0, 0, 1, -3deg);
        transform: translate3d(-15%, 0, 0) rotate3d(0, 0, 1, -3deg);
    }

    60% {
        -webkit-transform: translate3d(10%, 0, 0) rotate3d(0, 0, 1, 2deg);
        transform: translate3d(10%, 0, 0) rotate3d(0, 0, 1, 2deg);
    }

    75% {
        -webkit-transform: translate3d(-5%, 0, 0) rotate3d(0, 0, 1, -1deg);
        transform: translate3d(-5%, 0, 0) rotate3d(0, 0, 1, -1deg);
    }

    100% {
        -webkit-transform: none;
        transform: none;
    }
}

div#plantMatLabel, .switch-property {
    display: flex;
    justify-content: space-between;
    margin-bottom: 5px;
}

div#pnlPlantMaterialItem {
    margin-top: 15px;
    overflow: hidden;
    height: 101px;
    transition: height 0.25s;
}

div#pnlPlantMaterialItem.hidePlantMode {
    height: 32px;
}

.k-switch-off .k-switch-container {
    background-color: #7b7b7b!important;
}

.k-tabstrip:focus {
    box-shadow: none!important;
}

.tbiTable {
    width: 100%;
    text-align: left;
    border-collapse: collapse;
    font-size: 1.2em;
}

.tbiTable th {
    padding: 5px;
    border-bottom: 1px solid black;
}

.tbiTable .altRow {
    background-color: #dedede;
}

.tbiTable td {
    padding: 15px 5px;
    border-right: 1px solid #b2b2b2;
    text-align: center;
}

.material-item-info {
    overflow-y: auto;
}

    .material-item-info table {
        white-space: nowrap
    }

#description {
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
}

#infowindow-content .title {
    font-weight: bold;
}

#infowindow-content {
    display: none;
}

#map #infowindow-content {
    display: inline;
}

.pac-card {
    margin: 10px 10px 0 0;
    border-radius: 2px 0 0 2px;
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    outline: none;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    background-color: #fff;
    font-family: Roboto;
}

.pac-container {
    padding-bottom: 12px;
    margin-right: 12px;
    z-index: 9999 !important;
    position: fixed !important;
}

.pac-controls {
    display: inline-block;
    padding: 5px 11px;
}

    .pac-controls label {
        font-family: Roboto;
        font-size: 13px;
        font-weight: 300;
    }

#pac-input {
    background-color: #fff;
    font-family: Roboto;
    font-size: 15px;
    font-weight: 300;
    padding: 0 11px 0 13px;
    text-overflow: ellipsis;
    width: 100%;
    box-sizing: border-box;
}

    #pac-input:focus {
        border-color: #4d90fe;
    }

/*#title {
    color: #fff;
    background-color: #4d90fe;
    font-size: 25px;
    font-weight: 500;
    padding: 6px 12px;
}*/

#target {
    width: 345px;
}

#map {
    height: 100%;
}

div#pac-control-container {
    border: 1px solid #868686;
    border-radius: 5px;
    max-width: 500px;
    width: 100%;
    margin: 0 auto;
}

div#pac-control-title {
    background-color: #44674c;
    color: white;
    font-size: 14px;
    padding: 5px;
}

.pac-control-data {
    background-color: rgba(255, 255, 255, 0.74);
    padding: 10px;
}

.pac-control-value {
    font-size: 12px;
    padding: 0px 10px 8px 10px;
}

.gm-style .pac-control-container {
    margin: 0;
}

#pac-control-selected {
    font-weight: bold;
}


#pac-remove-button {
    font-weight: bold;
    padding: 2px 5px;
    margin: 0 10px;
    background-color: #3c3c3c;
    color: #fbfbfb;
    border-radius: 15px;
    cursor: pointer;
}

.pac-map-container {
    position: fixed;
    height: calc(100% - 190px);
    width: calc(100% - 22px);
}

#loadingBackgroundOverlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 14010;
    width: 100%;
    height: 100%;
    background-color: rgba(51, 51, 51, 0.68);
    align-items: center;
    justify-content: center;
}

#loadingBackgroundOverlay > .loadingPanel {
    text-align: center;
    padding: 50px;
    font-size: 3em;
    max-width: 50%;
    color: #1a1a1a;
}

.show {
    display: flex !important;
}

.no-shifts {
    margin-top: 10px;
    text-align: center;
    padding: 10px;
    font-size: 16px;
    font-weight: 500;
    color: #333;
}

input#colorPickerText {
    display: inline-block;
    width: calc(95% - 50px);
}


.color-box {
    height: 50px;
}

.color-box span.k-picker-wrap.k-state-default {
    height: 49px;
}

.color-box span.k-selected-color {
    height: 100%;
}

.color-box span.k-select {
    line-height: 50px;
}

.color-box span.k-icon.k-i-line {
    height: 100%;
}

.top-header {
    flex: 1;
    display: flex;
    align-items: center;
    height: 100%;
    justify-content: space-between;
}

.top-header .menu-right {
    padding: 0 15px;
}

.menu-left h1, .menu-left span {
    text-align: left;
    display: inline;
}

.menu-left .menu-icon {
    display: inline;
    margin-right: 9px;
    cursor: pointer;
    padding: 16px;
}

div#filterMenu {
    z-index: 11;
    background-color: #F4F4F4;
}

ul.sidebar-menu {
    list-style: none;
    padding: 0;
    margin: 0;
}

.sidebar-menu li {
    font-size: 1.13em;
    font-weight: 500;
    color: #444444;
    height: 48px;
    line-height: 48px;
    padding-left: 16px;
    cursor: pointer;
    border-bottom: 1px solid #dcdcdc;
}

#filterText {
    width: 100%;
    box-sizing: border-box;
    padding: 6px;
    border-radius: 3px;
    border: 1px solid #d9d9d9;
}


.filter-area .selectAll {
    display: flex;
    justify-content: space-between;
}

.filter-area #treeview {
    height: calc(100% - 115px);
}

.filter-area .filter-container {
    padding: 5px;
    background-color: #f9f9f9;
    margin: 10px 0px;
    border-radius: 7px;
    color: #444444;
    border: 1px solid #d6d6d6;
}


.shiftTableDetails table, .sllColumnHeader {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
    white-space: nowrap;
}

.shiftTableDetails table td, .sllColumnHeader th {
    border: 0;
    padding: 5px 10px;
    display: inline-block;
    min-height: 14px;
}

.shiftTableDetails table td + td, .sllColumnHeader th + th {
    border-left: 1px solid black;
}

.shiftTableDetails td.altRow {
    box-shadow: inset 0px 1px rgba(0, 0, 0, 0.5);
}

.sllHeaderHolder {
    padding: 0 7px;
    border: 1px solid black;
    background-color: #999999;
}

div#dateCalendar {
    width: 99%;
}

#dateCalendar .k-calendar-view {
    width: 100%;
}

div#multiCalendarHolder {
    padding: 7px;
}

.viewArea {
    text-align: center;
    border-bottom: 1px solid gainsboro;
    padding: 15px;
    font-size: 14px;
}

.viewArea span.k-button {
    padding: 5px 15px;
}

div#pnlWeeklyCount {
    margin-top: 15px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.material-item-info {
    margin: 5px 0;
}

#tbeContextMenu {
    font-size: 16px !important;
}

#undo-loading-panel {
    width: 100%;
    height: 100%;
    display:flex;
    justify-content: center;
    align-items: center;
}

#undo-content {
    display: flex;
    flex-direction: column;
    height: 100%;
    font-size: 2em;
}

.undo-title {
    font-weight: 500;
    font-size: 20px;
    color: #333;
    border-bottom: 1px solid #acacac;
    padding: 5px;
}

.undo-value {
    padding: 10px;
    font-size: 19px;
    text-align: center;
}

.copymove-label {
    margin: 10px 0;
    font-weight: 500;
}

span#copyMoveEarliest {
    font-weight: 400;
}

.copymove-label.no-top-mar {
    margin-top: 0;
}

.yearly-tbe .sticky {
    z-index: 2;
}

.yearly-tbe .shift-top-bar {
    top: 106px;
}

.yearly-tbe #yearly-job-header {
    background-color: #515151;
    color: lightgrey;
    text-align: center;
    font-style: italic;
    width: 100%;
}

.yearly-tbe #yearly-job-header div {
    padding: 2px;
}

#top-bar-header {
    flex-grow: 0;
}

div#shift-area-container {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    height: 100%;
}

div#main-body-container {
    display: flex;
    flex-direction: column;
    height: 100%;
}

#tbe-main-container {
    height: 100%;
    overflow: auto;
}

.extid-header, .extid-item {
    width: 100%;
}

.extid-idval {
    width: 35%;
}

.extid-header {
    background-color: #d2d2d2;
}

.aof-footer {
    text-align: right;
}

.aof-add {
    padding: 3px;
    background-color: #f3f3f3;
    border-radius: 5px;
    border: 1px solid #d0d0d0;
}

.aof-form {
    font-size: 16px;
    padding: 0 12px;
}

.aof-form .title {
    margin: 10px 0;
}

.aof-form .input input {
    width: 100%;
}

#lblAofError {
    color: red;
}

#shift-edit-area.read-only .floating-box {
    height: calc(100% - 57px);
}

#shift-edit-area.read-only .floating-button {
    display: none;
}

#equipmentLoadingPanel {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    line-height: 58px;
    background-color: rgba(0, 0, 0, 0.37);
    border-radius: 5px;
}

.equipment-panel {
    position: relative;
}

.tbe-shifts .holiday, .yearlyMonth .holiday {
    background-color: black;
}

.dailyView .tbe-header {
    display: none;
}

.dailyView .tbe-inline-group {
    position: relative;
}

.dailyView .tbe-shifts {
    margin-top: 0;
}

.k-dropdown.shift-property span.k-input {
    font-weight: 400;
}

.k-multiselect.shift-property .k-button {
    font-weight: 400;
}

.floating-button.tbi-button-group {
    display: flex;
    flex-direction: row;
}

    .floating-button.tbi-button-group .formatted-button {
        margin: 20px 5px;
        display: block;
        box-sizing: border-box;
        flex-grow: 1;
    }

    .floating-button.tbi-button-group .btn-next {
        color: white;
        background-color: #2139c9;
    }
        .floating-button.tbi-button-group .btn-next #nextArrows {
            float: right;
            opacity: 0.5;
        }

    .floating-button.tbi-button-group .formatted-button {
        width: 50%;
    }

.weeklyCountControl {
    display: flex;
    flex-direction: row;
}

.incButtons {
    background-color: #fdfdfd;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    width: 103px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border: 1px solid #e4e4e4;
    border-left: 0;
}

    .incButtons > div:first-child {
        border-right: 1px solid #e4e4e4;
    }

    .incButtons > div {
        flex: 1;
        display: flex;
        justify-content: center;
        align-items: center;
    }

#pnlWeeklyCount .loader {
    height: 2px;
    width: 100%;
    background-color: #12734b;
}

#pnlWeeklyCount.apply .loader {
    width: 0px;
    background-color: red;
    transition: width 1s, background-color 1s;
}

.weeklyCountControl .k-numerictextbox {
    height: 52px !important;
    font-size: 16px;
    text-align:center;  
}

.week-label {
    margin: 0 7px;
    font-size: 16px;
}

.weeklyCountControl .k-formatted-value.k-input {
    text-align: center;
}

.shift-form .shift-property.shift-multi-row {
    width: 100%;
    margin-left: 0;
}

.quantity-row-container {
    display: flex;
    flex-direction: row;
    width: calc(100% - 30px);
    margin: 0 auto;
}

.quantity-box-container {
    flex-grow: 1;
    padding-right: 10px;
}

.unit-box-container {
    min-width: 80px;
}

div#rscDialog > div {
    margin: 10px 0;
}

.export-panel {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
}

.export-panel .export-action {
    border: 1px solid #b3b1b1;
    border-radius: 5px;
    text-align: center;
    padding: 10px;
    display: flex;
    flex-direction: column;
}

.export-action .icon {
    font-size: 5em;
    flex:  1;
}

.export-action .title {
    font-size: 1.5em;
}

#FilterStatus {
    display: none;
    white-space: nowrap;
    overflow-x: auto;
    padding: 5px;
    background-color: #dcdce4;
}

#FilterStatus .FilterOption {
    display: inline-block;
    padding: 0 30px 0 0;
    font-size: 12px;
}

#FilterStatus .FilterOption .FilterCategory {
    font-weight:500;
}

#ScheduleChangeAck {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #ffff91;
    padding: 5px;
    border: 1px solid #c8c8c8;
    font-size: 12px;
}

    #ScheduleChangeAck .title {
        text-align: center;
        font-weight: bold;
        color: #2a2a2a;
    }

    #ScheduleChangeAck button {
        background-color: #0c6c44;
        color: white;
        border: 1px solid #074f31;
        border-radius: 5px;
        padding: 4px;
        font-weight: 500;
        margin: 2px;
        cursor: pointer;
    }

    .highlight-shift {
        border: 1px solid #ffe800!important;
        box-shadow: 0px 0px 3px 2px #ffe800 !important;
    }

    
.tph-overage {
    position: absolute;
    background-color: red;
    width: 15px;
    height: 15px;
    color: white;
    font-size: 14px;
    border-radius: 20px!important;
    text-align: center;
    top: 2px;
    right: 3px;
}

    .tph-overage.level-1 {
        background-color: orange;
    }

    .tph-overage.level-2 {
        background-color: darkred;
    }

.tph-overage-panel {
    position: absolute;
    background-color: #d2d2d2;
    width: 220px;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0px 2px 3px 1px rgba(0, 0, 0, 0.44);
}

    .tph-overage-panel .title {
        display: block;
        background-color: rgba(55, 55, 55, 0.64);
        padding: 4px;
        padding-left: 5px;
        font-size: 12px;
        font-weight: 500;
        color: white;
    }

    .tph-overage-panel .content {
        padding: 5px;
    }

.tph-overage-panel.overage-level-1 {
    background-color: orange;
}
    .tph-overage-panel.overage-level-2 {
        background-color: #da3b3b;
    }


#view-holder .selected {
    background-color: #b6b6b6;
}

@media screen and (max-width: 370px) {
    .floating-button.tbi-button-group #nextArrows {
        display: none;
    }
}

.yearly-job-date-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

    .yearly-job-date-container > div {
        padding: 0 4px;
    }

.yearly-header-icon {
    padding: 6px!important;
    border: 1px solid #242424;
    margin: 0 3px;
    border-radius: 5px;
    min-width: 20px;
    display: inline-block;
    cursor: pointer;
}

.yearly-view-link {
    border: 1px solid rgba(0, 0, 0, 0.33);
    border-radius: 5px;
    text-align: center;
    background-color: rgb(217 217 217 / 22%);
    cursor: pointer;
    padding: 2px;
    max-width: 185px;
    margin: 4px auto;
}

.attachment-link {
    display: block;
    padding: 3px 0;
}

.button-group .k-button {
    padding: 9px;
}

.k-list-item-text::before {
    display:none;
}

.k-list-item-text {
    width: 100%;
}

table.extid-header td {
    padding: 5px;
}

img.weatherIcon {
    width: 55%;
    box-sizing: border-box;
}

.weatherInfo button {
    display: inline-flex;
    align-items: center;
    padding-left: 0;
    padding-right: 5px;
    cursor: pointer;
    width: 100%;
    border: 2px solid #d9d9d9;
    border-radius: 4px;
}

.weatherInfo.weather-severe button {
    background-color: #df6e6e;
    border-color: #c56464;
}

.weatherInfo.weather-problem button {
    background-color: #d9c666;
    border-color: #cfbd62;
}